# DMMGSetUseGalerkinCoarse

Courses the DMMG to use R*A_f*R^T to form the coarser matrices from finest

### Synopsis

    #include "petscda.h"
    #include "petscksp.h"
    #include "petscmg.h"
    #include "petscdmmg.h"
    #include "petscpc.h"
    PetscErrorCode PETSCSNES_DLLEXPORT DMMGSetUseGalerkinCoarse(DMMG* dmmg)

Collective on DMMG

### Input Parameter

dmmg -the context

### Options Database Keys

-dmmg_galerkin -

Notes: After you have called this you can manually set dmmg[0]->galerkin = PETSC_FALSE to have the coarsest grid not compute via Galerkin but still have the intermediate grids computed via Galerkin.

The default behavior of this should be idential to using -pc_mg_galerkin; this offers more potential flexibility since you can select exactly which levels are done via Galerkin and which are done via user provided function.

### See Also

DMMGCreate(), PCMGSetUseGalerkin(), DMMGSetMatType(), DMMGSetNullSpace()

Level:advanced
Location: src/snes/utils/damg.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages